Summary: Utilities for infrared communication between devices.
Name: irda-utils
Version: 0.9.10
Release: 1mdk
Source: http://www.cs.uit.no/~dagb/irda/irda-utils/%{name}-%{version}.tar.bz2
Patch0: irda-mdk.patch.bz2
Group: System/Servers
URL: http://www.cs.uit.no/linux-irda/
BuildRoot: %{_tmppath}/%{name}-buildroot
Copyright: GPL
Prefix: /usr

%description
IrDA(TM) (Infrared Data Association) is an industry standard for
wireless, infrared communication between devices. IrDA speeds range
from 9600 bps to 4 Mbps, and IrDA can be used by many modern devices
including laptops, LAN adapters, PDAs, printers, and mobile phones.

The Linux-IrDA project is a GPL'd implementation, written from
scratch, of the IrDA protocols. Supported IrDA protocols include
IrLAP, IrLMP, IrIAP, IrTTP, IrLPT, IrLAN, IrCOMM and IrOBEX.

The irda-utils package contains a collection of programs that enable
the use of IrDA protocols. Most IrDA features are implemented in the
kernel, so IrDA support must be enabled in the kernel before any IrDA
tools or programs can be used. Some configuration outside the kernel
is required, however, and some IrDA features, like IrOBEX, are
actually implemented outside the kernel.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0 -p0 -b .fred

%build
%make all RPM_BUILD_ROOT="$RPM_BUILD_ROOT" RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"

%install
make install RPM_OPT_FLAGS="$RPM_OPT_FLAGS" ROOT="$RPM_BUILD_ROOT"


DOCDIR=$RPM_BUILD_ROOT$RPM_DOC_DIR/$RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
/usr/sbin/irmanager
/usr/sbin/irattach
/usr/sbin/irdaping
/usr/sbin/dongle_attach
/usr/sbin/findchip
/usr/bin/irdadump
/usr/bin/irpsion5
/usr/bin/irkbd
%dir /etc/irda
%config(noreplace) /etc/irda/network
%config(noreplace) /etc/irda/printer
#%config /etc/irda/network.orig
#%config /etc/irda/network.redhat
#%config /etc/irda/network.opts
%config(noreplace) /etc/irda/drivers
%config(noreplace) /etc/rc.d/init.d/irda
%doc README
%doc irattach/README.irattach
%doc irdadump/README.irdadump
%doc irdaping/README.irdaping
%doc irkbd/README.irkbd
%doc tekram/README.tekram

%post
/sbin/chkconfig --add irda

%preun

if [ $1 = 0 ]; then
    /sbin/chkconfig --del irda
fi

exit 0

%changelog
* Tue Aug 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.10-1mdk
- 0.9.10

* Wed Apr  5 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk
- group fix.

* Mon Feb  7 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.9-1mdk

- new version.
- init.d script activated.
- added a printer config file.

* Mon Dec 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Wed Nov 10 1999 Dag Brattli <dagb@cs.uit.no>
- 0.9.5
- Some fixes to irattach, so it works with the latest kernels and patches
- Removed OBEX which will now become its own distribution
- Removed irdadump-X11 which will be replaced with a GNOME version

* Wed Sep 8 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- 0.9.4
- include new stuff (palm3, psion, obex_tcp, ...)
- various fixes

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Fix .spec bug

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- add README to %doc
- compile gnobex, now in irda-utils-X11

* Tue Sep 7 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- initial RPM:
  - handle RPM_OPT_FLAGS and RPM_BUILD_ROOT
  - fix build
  - split in normal and X11 packages
